{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add {
            width: 80%;
            padding: 15px 15px;
            word-spacing: 0px;
            background: #dddddd82;
            box-shadow: 0px 0px 5px #f5e1e1;
            border-radius: 4px;
            margin: 0 2% 0;
            float: right;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .btn-export {
            float: right;
            background-color: #424242;
            border: 0;
            border-radius: 4px;
            display: inline-block !important;
        }
        .btn-export:hover {
            background-color: #313131;
        }
        .label-top {
            padding: 1% 3%;
            font-size: 100%;
            margin: 0 2%;
        }
        .select {
            width: auto;
            display: inline;
        }
    </style>
{% endblock %}

{% block content %}
    <form class="from-horizontal">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 style="margin-top: -5px" class="back-list">Top SR</h1>
        <button type="submit" name="export" class="export btn-export">Export</button>
        <section class="content-header col-content">
            <form class="search-form" action="" method="get">
                <div class="row">
                    <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                        <div class="row" style="margin: 0;">
                            <div class="search-container">
                                From: <input class="form-control txt-search" value="{{from_date}}"
                                       type="date" placeholder="Search..." name="from_date">
                                To: <input class="form-control txt-search" value="{{to_date}}"
                                       type="date" placeholder="Search..." name="to_date">
                                <button class="btn-search" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>

                                <select id="ddlFilter" class="form-control select" name="order">
                                    <option {% if oType == 1 %}selected{% endif %} value="1">Collection</option>
                                    <option {% if oType == 2 %}selected{% endif %} value="2">Sales</option>
                                    <option {% if oType == 3 %}selected{% endif %} value="3">Outstanding</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                        <div class="row" style="margin: 0;">
                            <address class="col-cust-add col-business-add">
                                <label class="label label-info label-top">
                                    No of SR: {{total_dealer|default:"0"}}
                                </label>

                                <label class="label label-success label-top">
                                    {{msg}}: ₹ {{total_amount|floatformat:2|intcomma}}
                                </label>
                            </address>
                        </div>
                    </div>
                </div>
            </form>
        </section>

        <section>
            <table class="table table table-bordered alternate_color">
                <thead>
                    <tr>
                        <th>SR Name</th>
                        <th>SR Contact</th>
                        <th style="width: 20%;">Orders</th>
                        <th style="text-align: right;">Invoice Value(₹)</th>
                        {% if oType != 1 and oType != 0 %}
                        <th style="text-align: right;">Payable(₹)</th>
                        <th style="text-align: right;">Outstanding(₹)</th>
                        {% endif %}
                        {% if oType == 1 or oType == 0 %}
                            <th style="text-align: right;">Collection(₹)</th>
                        {% endif %}
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if orders|length > 0 %}
                    {% for order in orders %}
                    <tr>
                        <td>{{order.sr_name|default:"---"}}</td>
                        <td>{{order.sr_contact|default:"---"}}</td>
                        <td>
                            {% if order.orders|length > 0 %}
                                {% for item in order.orders %}
                                    <a href="{% url 'order_detail' item %}" target="_blank">
                                        {% if not forloop.first %}, {% endif %}
                                        {{item}}
                                    </a>
                                {% endfor %}
                            {% else %}
                                ---
                            {% endif %}
                        </td>
                        <td style="text-align:right">{{order.invoice_value|floatformat:2|intcomma}}</td>
                        {% if oType != 1 and oType != 0 %}
                        <td style="text-align:right">{{order.payable|floatformat:2|intcomma}}</td>
                        <td style="text-align:right">{{order.outstanding|floatformat:2|intcomma}}</td>
                        {% endif %}
                        {% if oType == 1 or oType == 0 %}
                            <td style="text-align:right">{{order.collection|floatformat:2|intcomma}}</td>
                        {% endif %}
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        {% if oType == 1 or oType == 0 %}
                            <td colspan="7" style="text-align:center;">Data not available</td>
                        {% else %}
                            <td colspan="6" style="text-align:center;">Data not available</td>
                        {% endif %}
                    </tr>
                {% endif %}
                </tbody>
            </table>

            <div class="row" style="margin: 0;">
                {% if orders.has_other_pages %}
                    <ul class="pagination col-pagination pg-blue pull-right">
                        {% if orders.has_previous %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ orders.previous_page_number }}"
                                   aria-label="Previous">&laquo;</a>
                            </li>
                        {% else %}
                            <li class="page-item disabled">
                                <a class="page-link" href=""><span>&laquo;</span></a>
                            </li>
                        {% endif %}

                        {% for i in orders.paginator.page_range %}
                            {% if orders.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">{{ i }}</a>
                                </li>
                            {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                </li>
                            {% endif %}
                        {% endfor %}

                        {% if orders.has_next %}
                            <li class="page-item">
                                <a class="page-number" href="?page={{ orders.next_page_number }}">&raquo;</a>
                            </li>
                        {% endif %}
                    </ul>
                {% endif %}
            </div>
        </section>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function() {
            $('.content-header').first().remove();

            $('#ddlFilter').change(function() {
                order = getUrlVars()["order"];
                if(order == undefined) {
                    var newUrl = location.href+'?order='+$(this).val()
                    window.location=newUrl
                }
                else {
                    var newUrl = location.href.replace("order="+order, "order="+$(this).val());
                    window.location=newUrl
                }
            })
        });

        function getUrlVars() {
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++) {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
    </script>
{% endblock %}
